Package org.pgpainless.key

# Class OpenPgpV6Fingerprint

java.lang.Object
org.pgpainless.key.OpenPgpFingerprint
org.pgpainless.key._64DigitFingerprint
org.pgpainless.key.OpenPgpV6Fingerprint

All Implemented Interfaces:
  `CharSequence`, `Comparable<OpenPgpFingerprint>`

public class OpenPgpV6Fingerprint extends _64DigitFingerprint
This class represents a hex encoded, upper case OpenPGP v6 fingerprint.

## Field Summary

### Fields inherited from class org.pgpainless.key.OpenPgpFingerprint

`fingerprint, utf8`

## Constructor Summary

Constructors
Constructor
Description
`OpenPgpV6Fingerprint(byte[] bytes)`
`OpenPgpV6Fingerprint(String fingerprint)`
Create an `OpenPgpV6Fingerprint`.
`OpenPgpV6Fingerprint(org.bouncycastle.openpgp.PGPKeyRing ring)`
`OpenPgpV6Fingerprint(org.bouncycastle.openpgp.PGPPublicKey key)`
`OpenPgpV6Fingerprint(org.bouncycastle.openpgp.PGPPublicKeyRing ring)`
`OpenPgpV6Fingerprint(org.bouncycastle.openpgp.PGPSecretKey key)`
`OpenPgpV6Fingerprint(org.bouncycastle.openpgp.PGPSecretKeyRing ring)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getVersion()`
Return the version of the fingerprint.

### Methods inherited from class org.pgpainless.key._64DigitFingerprint

`compareTo, equals, getKeyId, hashCode, isValid, prettyPrint`

### Methods inherited from class org.pgpainless.key.OpenPgpFingerprint

`charAt, length, of, of, of, parse, parseFromBinary, subSequence, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints, isEmpty`

## Constructor Details

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull String fingerprint)
Create an `OpenPgpV6Fingerprint`.

Parameters:
  `fingerprint` - uppercase hexadecimal fingerprint of length 64

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull byte[] bytes)

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull org.bouncycastle.openpgp.PGPPublicKey key)

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull org.bouncycastle.openpgp.PGPSecretKey key)

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull org.bouncycastle.openpgp.PGPPublicKeyRing ring)

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull org.bouncycastle.openpgp.PGPSecretKeyRing ring)

### OpenPgpV6Fingerprint

public OpenPgpV6Fingerprint(@Nonnull org.bouncycastle.openpgp.PGPKeyRing ring)

## Method Details

### getVersion

public int getVersion()
Description copied from class: `OpenPgpFingerprint`
Return the version of the fingerprint.

Overrides:
  `getVersion` in class `_64DigitFingerprint`
Returns:
  version